package clayout;

import java.awt.*;
import java.awt.event.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class Test extends java.awt.event.WindowAdapter{


  /**
   *
   * @param numOfComponent
   */
  public void init(int numOfComponent){

   VerticalLayoutManager l = new VerticalLayoutManager(2);
   Frame f = new Frame("Testing Vertical Layout Manager"){

    public void doLayout(){
     System.out.println("...invoking doLayout...");
     super.doLayout();
    }

    public void paint(Graphics g){
     System.out.println("...invoking paint...");
     super.paint(g);
    }

    public void invalidate(){
     System.out.println("...invoking invalidate...");
     super.invalidate();
    }

    public void validate(){
     System.out.println("...invoking validate...");
     super.validate();
    }
   };

   f.setLayout(l);
   f.addWindowListener(this);

   for(int index = 0; index < numOfComponent; index++){
    f.add(new Button("BUTTON_"+index));
   }

   f.pack();
   f.setVisible(true);

   /*try{
   java.io.FileOutputStream fl = new java.io.FileOutputStream("c:/obj.ser");
   java.io.ObjectOutputStream o = new java.io.ObjectOutputStream(fl);
   o.writeObject(l);
   o.flush();
   o.close();

   java.io.ObjectInputStream in = new java.io.ObjectInputStream(new java.io.FileInputStream( new java.io.File("c:/obj.ser")));
   System.out.println(in.readObject());
   in.close();
    }catch(Exception exc){
      exc.printStackTrace();
     }*/
  }


  /**
   *
   * @param e
   */
  public void windowClosing(WindowEvent e){
   System.exit(0);
  }


  /**
   *
   * @param args
   */
  public static void main(String[] args) {
    Test test = new Test();
    int val = 0;

    if (args.length==0) val = 12;
    else val = Integer.parseInt(args[0]);

    test.init(val);
  }

}